###### Unknown ######

taglib.icon.unknown = /weblab-theme/images/portlet/help.png
taglib.text.unknown = Undetermined

##### Format #####


# PDF
format.application/pdf = pdf
format.application/pdx = pdf
format.image/pdf = pdf

taglib.icon.pdf = /weblab-theme/images/file_system/small/pdf.png
taglib.text.pdf = PDF document


# HTML
format.text/html = html
format.application/xhtml+xml = html

taglib.icon.html = /weblab-theme/images/file_system/small/html.png
taglib.text.html = HTML document


# XML
format.text/xml = xml
format.application/xml = xml

taglib.icon.xml = /weblab-theme/images/file_system/small/xml.png
taglib.text.xml = XML document


# RSS
format.application/rss+xml = rss
format.application/atom+xml = rss

taglib.icon.rss = /weblab-theme/images/common/rss.png
taglib.text.rss = News feed


# MS Word
format.application/msword = msword
format.application/vnd.ms-word.document.macroenabled.12 = msword
format.application/vnd.ms-word.template.macroenabled.12 = msword
format.application/vnd.openxmlformats-officedocument.wordprocessingml.document = msword
format.application/vnd.openxmlformats-officedocument.wordprocessingml.template = msword

taglib.icon.msword = /weblab-theme/images/file_system/small/docx.png
taglib.text.msword = MS Word document


# MS Powerpoint
format.application/mspowerpoint = mspowerpoint
format.application/vnd.ms-powerpoint = mspowerpoint
format.application/ms-powerpoint = mspowerpoint
format.application/x-mspowerpoint = mspowerpoint
format.application/vnd.ms-powerpoint.addin.macroenabled.12 = mspowerpoint
format.application/vnd.ms-powerpoint.presentation.macroenabled.12 = mspowerpoint
format.application/vnd.ms-powerpoint.slide.macroenabled.12 = mspowerpoint
format.application/vnd.ms-powerpoint.slideshow.macroenabled.12 = mspowerpoint
format.application/vnd.openxmlformats-officedocument.presentationml.presentation = mspowerpoint
format.application/vnd.openxmlformats-officedocument.presentationml.slide = mspowerpoint
format.application/vnd.openxmlformats-officedocument.presentationml.slideshow = mspowerpoint
format.application/vnd.openxmlformats-officedocument.presentationml.template = mspowerpoint

taglib.icon.mspowerpoint = /weblab-theme/images/file_system/small/pptx.png
taglib.text.mspowerpoint = MS PowerPoint presentation


# MS Excel
format.application/msexcel = msexcel
format.application/ms-excel = msexcel
format.application/x-msexcel = msexcel
format.application/excel = msexcel
format.application/vnd.ms-excel = msexcel
format.application/vnd.ms-excel.addin.macroenabled.12 = msexcel
format.application/vnd.ms-excel.sheet.binary.macroenabled.12 = msexcel
format.application/vnd.ms-excel.sheet.macroenabled.12 = msexcel
format.application/vnd.ms-excel.template.macroenabled.12 = msexcel
format.application/vnd.openxmlformats-officedocument.spreadsheetml.sheet = msexcel
format.application/vnd.openxmlformats-officedocument.spreadsheetml.template = msexcel

taglib.icon.msexcel = /weblab-theme/images/file_system/small/xlsx.png
taglib.text.msexcel = MS Excel spreadsheet


#MS Visio
format.application/msvisio = msvisio
format.application/x-msvisio = msvisio
format.application/vnd.msvisio = msvisio
format.application/visio = msvisio
format.application/x-visio = msvisio
format.application/vnd.visio = msvisio

taglib.icon.msvisio = /weblab-theme/images/file_system/small/vsd.png
taglib.text.msvisio = MS Visio diagram


# OpenOffice ODS
format.application/vnd.oasis.opendocument.spreadsheet = ods
format.application/vnd.oasis.opendocument.spreadsheet-template = ods
format.application/vnd.sun.xml.calc = ods
format.application/vnd.sun.xml.calc.template = ods
format.application/vnd.stardivision.calc = ods
format.application/x-starcalc = ods

taglib.icon.ods = /weblab-theme/images/file_system/small/ods.png
taglib.text.ods = OpenOffice spreadsheet


# OpenOffice ODT
format.application/vnd.oasis.opendocument.text = odt
format.application/vnd.oasis.opendocument.text-template = odt
format.application/vnd.oasis.opendocument.text-master = odt
format.application/vnd.oasis.opendocument.text-web = odt
format.application/vnd.sun.xml.writer = odt
format.application/vnd.sun.xml.writer.global = odt
format.application/vnd.sun.xml.writer.template = odt
format.application/vnd.stardivision.writer = odt
format.application/vnd.stardivision.writer-global = odt
format.application/x-starwriter = odt

taglib.icon.odt = /weblab-theme/images/file_system/small/odt.png
taglib.text.odt = OpenOffice text document


# OpenOffice ODP
format.application/vnd.oasis.opendocument.presentation = odp
format.application/vnd.oasis.opendocument.presentation-template = odp
format.application/vnd.sun.xml.impress = odp
format.application/vnd.sun.xml.impress.template = odp
format.application/vnd.stardivision.impress = odp
format.application/vnd.stardivision.impress-packed = odp
format.application/x-starimpress = odp

taglib.icon.odp = /weblab-theme/images/file_system/small/odp.png
taglib.text.odp = OpenOffice presentation


# OpenOffice ODG
format.application/vnd.oasis.opendocument.graphics = odg
format.application/vnd.oasis.opendocument.graphics-template = odg
format.application/vnd.oasis.opendocument.chart = odg
format.application/vnd.oasis.opendocument.chart-template = odg
format.application/vnd.sun.xml.draw = odg
format.application/vnd.sun.xml.draw.template = odg
format.application/vnd.stardivision.draw = odg
format.application/vnd.stardivision.chart = odg
format.application/x-stardraw = odg
format.application/x-starchart = odg

taglib.icon.odg = /weblab-theme/images/file_system/small/odg.png
taglib.text.odg = OpenOffice drawing


# OpenOffice ODB
format.application/vnd.oasis.opendocument.database = odb

taglib.icon.odg = /weblab-theme/images/file_system/small/odb.png
taglib.text.odg = OpenOffice database


# OpenOffice ODF
format.application/vnd.oasis.opendocument.formula = odf
format.application/vnd.oasis.opendocument.formula-template = odf
format.application/vnd.sun.xml.formula = odf
format.application/vnd.stardivision.math = odf
format.application/x-starmath = odf

taglib.icon.odf = /weblab-theme/images/file_system/small/odf.png
taglib.text.odf = OpenOffice formula


# RTF: text/richtext, application/rtf, application/x-rtf
format.application/rtf = rtf
format.text/rtf = rtf
format.text/richtext = rtf
format.application/x-rtf = rtf


taglib.icon.rtf = /weblab-theme/images/file_system/small/rtf.png
taglib.text.rtf = Rich text


# TXT
format.text/plain = txt

taglib.icon.txt = /weblab-theme/images/file_system/small/txt.png
taglib.text.txt = Plain text


# GIF
format.image/gif = gif

taglib.icon.gif = /weblab-theme/images/file_system/small/gif.png
taglib.text.gif = GIF image


# JPEG
format.image/jpeg = jpeg
format.image/pjpeg = jpeg
format.image/jp2 = jpeg
format.image/jpm = jpeg
format.image/jpx = jpeg
format.image/jpg = jpeg
format.image/jpe = jpeg
format.image/jfif = jpeg
format.image/jps = jpeg

taglib.icon.jpeg = /weblab-theme/images/file_system/small/jpeg.png
taglib.text.jpeg = JPEG image


# PNG
format.image/png = png
format.image/x-png = png

taglib.icon.png = /weblab-theme/images/file_system/small/png.png
taglib.text.png = PNG image


# BMP
format.image/bmp = bmp
format.image/x-windows-bmp = bmp
format.image/x-ms-bmp = bmp
format.image/x-bmp = bmp

taglib.icon.bmp = /weblab-theme/images/file_system/small/bmp.png
taglib.text.bmp = Bitmap image


# TIFF
format.image/x-tiff = tiff
format.image/tiff = tiff

taglib.icon.tiff = /weblab-theme/images/file_system/small/tiff.png
taglib.text.tiff = TIFF image


# Other images
format.image/x-ico = image
format.image/x-icon = image
format.image/ico = image
format.image/icon = image
format.image/vnd.microsoft.icon = image
format.image/x-portable-pixmap = image
format.image/x-portable-bitmap = image
format.image/x-portable-anymap = image
format.image/x-portable-graymap = image
format.image/pcx = image
format.image/svg+xml = image
format.image/svg-xml = image
format.image/pict = image
format.image/x-quicktime = image
format.image/vnd.djvu = image
format.application/vnd.oasis.opendocument.image = image
format.application/vnd.oasis.opendocument.image-template = image

taglib.icon.image = /weblab-theme/images/file_system/small/jpg.png
taglib.text.image = Other image format


# ZIP and other archives
format.application/zip = zip
format.application/gzip = zip
format.application/bzip = zip
format.application/bzip2 = zip
format.application/x-zip = zip
format.application/x-gzip = zip
format.application/x-bzip = zip
format.application/x-bzip2 = zip
format.application/x-compressed = zip
format.application/x-compress = zip
format.application/x-zip-compressed = zip
format.application/gnutar = zip
format.application/x-gtar = zip
format.application/x-tar = zip
format.application/x-rar-compressed = zip
format.application/rar = zip
format.application/tar = zip
format.application/x-7z-compressed = zip
format.application/7z = zip

taglib.icon.zip = /weblab-theme/images/file_system/small/zip.png
taglib.text.zip = Compressed archive


# Audio file
format.audio/mpa = audio
format.audio/mpega = audio
format.audio/mp3 = audio
format.audio/mp4 = audio
format.audio/mpeg = audio
format.audio/mpeg4-generic = audio
format.audio/mpeg3 = audio
format.audio/x-mpeg4 = audio
format.audio/x-mpeg3 = audio
format.audio/mpeg-url = audio
format.audio/x-mpeg-url = audio
format.audio/mpeg2 = audio
format.audio/x-mpeg2 = audio
format.audio/x-mpeg = audio
format.audio/x-mpeg-3 = audio
format.audio/3gpp = audio
format.audio/3gpp2 = audio
format.audio/asc = audio
format.audio/midi = audio
format.audio/x-midi = audio
format.audio/mod = audio
format.audio/x-mod = audio
format.audio/ogg = audio
format.audio/vorbis = audio
format.audio/basic = audio
format.audio/x-basic = audio
format.audio/wav = audio
format.audio/x-wav = audio
format.audio/aiff = audio
format.audio/x-aiff = audio
format.audio/flac = audio
format.audio/x-ogg = audio
format.audio/x-ms-wma = audio
format.audio/vnd.rn-realaudio = audio
format.application/vnd.rn-realaudio = audio

taglib.icon.audio = /weblab-theme/images/icons/play-16x16.png
taglib.text.audio = Audio file


# Video file
format.video/mpeg = video
format.video/x-mpeg = video
format.video/mp1s = video
format.video/mp2p = video
format.video/mp2t = video
format.video/mp4 = video
format.video/mp4v-es video
format.video/mpv = video
format.video/mpeg4-generic = video
format.video/x-mpeq2a = video
format.video/x-mpeg-3 = video
format.video/x-x-mpeg-3 = video
format.video/x-mpeq2a = video
format.video/x-mpeq2a = video
format.video/mpeg2-ts = video
format.video/msvideo = video
format.video/x-msvideo = video
format.video/quicktime = video
format.video/x-quicktime = video
format.application/x-shockwave-flash = video
format.video/x-pn-realaudio-plugin = video
format.application/vnd.rn-realmedia = video
format.video/vnd.rn-realvideo = video
format.video/x-ms-wmv = video
format.video/x-ms-asf = video
format.video/flv = video
format.video/x-flv = video
format.video/3gpp = video
format.video/3gpp2 = video
format.video/h264 = video
format.video/jpeg = video
format.video/jpeg2000 = video
format.video/ogg = video
format.application/ogg = video
format.video/avi = video
format.video/x-motion-jpeg = video
format.video/jpeg = video
format.video/webm = video
format.video/theora = video
format.application/mp4 = video


taglib.icon.video = /weblab-theme/images/icons/play-16x16.png
taglib.text.video = Video file


# CSS
format.text/css = css

taglib.icon.css = /weblab-theme/images/file_system/small/css.png
taglib.text.css = Cascading Style Sheets file


# CSV
format.text/csv = csv
format.text/csv-schema = csv

taglib.icon.csv = /weblab-theme/images/file_system/small/csv.png
taglib.text.csv = Comma-separated values file


# TSV
format.text/tab-separated-values = tsv
format.text/tsv = tsv

taglib.icon.tsv = /weblab-theme/images/file_system/small/tsv.png
taglib.text.tsv = Tab-separated values file


# JS
format.text/javascript = js
format.application/javascript = js
format.application/json = js
format.application/x-javascript = js
format.application/ecmascript = js
format.text/ecmascript = js

taglib.icon.js = /weblab-theme/images/file_system/small/js.png
taglib.text.js = JavaScript file

# Any type
format.application/octet-stream = octet

taglib.icon.octet = /weblab-theme/images/portlet/help.png
taglib.text.octet = Unknown file type


# Twitter
format.application/x-twitter = twitter
format.application/x-tweet = twitter

taglib.icon.twitter = /weblab-theme/images/file_system/small/twitter-bird.png
taglib.text.twitter = Tweet


# Youtube
format.application/x-youtube = youtube

taglib.icon.youtube = /weblab-theme/images/icons/play-16x16.png
taglib.text.youtube = Youtube video


#### Language ####
taglib.icon.ar = /weblab-theme/images/language/ar_SA.png
taglib.text.ar = Arabic

taglib.icon.bg = /weblab-theme/images/language/bg_BG.png
taglib.text.bg = Bulgarian

# Fix WEBLAB-1202 using a proper flag for bn
taglib.icon.bn = /weblab-theme/images/portlet/help.png
taglib.text.bn = Bengali

taglib.icon.ca = /weblab-theme/images/language/ca_ES.png
taglib.text.ca = Catalan

taglib.icon.cs = /weblab-theme/images/language/cs_CZ.png
taglib.text.cs = Czech

# Fix WEBLAB-1202 using a proper flag for cy
taglib.icon.cy = /weblab-theme/images/portlet/help.png
taglib.text.cy = Welsh

taglib.icon.da = /weblab-theme/images/language/da_DK.png
taglib.text.da = Danish

taglib.icon.de = /weblab-theme/images/language/de_DE.png
taglib.text.de = German

# Fix WEBLAB-1202 using a proper flag for ee
taglib.icon.ee = /weblab-theme/images/portlet/help.png
taglib.text.ee = Ewe

taglib.icon.el = /weblab-theme/images/language/el_GR.png
taglib.text.el = Greek

taglib.icon.en = /weblab-theme/images/language/en_GB.png
taglib.text.en = English

taglib.icon.es = /weblab-theme/images/language/es_ES.png
taglib.text.es = Spanish

taglib.icon.et = /weblab-theme/images/language/et_EE.png
taglib.text.et = Estonian

taglib.icon.eu = /weblab-theme/images/language/eu_ES.png
taglib.text.eu = Basque

taglib.icon.fa = /weblab-theme/images/language/fa_IR.png
taglib.text.fa = Persian

taglib.icon.fi = /weblab-theme/images/language/fi_FI.png
taglib.text.fi = Finnish

taglib.icon.fr = /weblab-theme/images/language/fr_FR.png
taglib.text.fr = French

taglib.icon.gl = /weblab-theme/images/language/gl_ES.png
taglib.text.gl = Galician

taglib.icon.hi = /weblab-theme/images/language/hi_IN.png
taglib.text.hi = Hindi

taglib.icon.hr = /weblab-theme/images/language/hr_HR.png
taglib.text.hr = Croatian

taglib.icon.hu = /weblab-theme/images/language/hu_HU.png
taglib.text.hu = Hungarian

taglib.icon.in = /weblab-theme/images/language/in_ID.png
taglib.text.in = Indonesian
taglib.icon.id = /weblab-theme/images/language/in_ID.png
taglib.text.id = Indonesian

# Fix WEBLAB-1202 using a proper flag for is
taglib.icon.is = /weblab-theme/images/portlet/help.png
taglib.text.is = Icelandic

taglib.icon.it = /weblab-theme/images/language/it_IT.png
taglib.text.it = Italian

taglib.icon.iw = /weblab-theme/images/language/iw_IL.png
taglib.text.iw = Hebrew
taglib.icon.he = /weblab-theme/images/language/iw_IL.png
taglib.text.he = Hebrew

# Fix WEBLAB-1202 using a proper flag for ht
taglib.icon.ht = /weblab-theme/images/portlet/help.png
taglib.text.ht = Haitian

taglib.icon.ja = /weblab-theme/images/language/ja_JP.png
taglib.text.ja = Japanese

# Fix WEBLAB-1202 using a proper flag for jv
taglib.icon.jv = /weblab-theme/images/portlet/help.png
taglib.text.jv = Javanese

taglib.icon.ko = /weblab-theme/images/language/ko_KR.png
taglib.text.ko = Korean

taglib.icon.lo = /weblab-theme/images/language/lo_LA.png
taglib.text.lo = Lao

# Fix WEBLAB-1202 using a proper flag for lt
taglib.icon.lt = /weblab-theme/images/portlet/help.png
taglib.text.lt = Lithuanian

# Fix WEBLAB-1202 using a proper flag for lv
taglib.icon.lv = /weblab-theme/images/portlet/help.png
taglib.text.lv = Latvian

# Fix WEBLAB-1202 using a proper flag for mr
taglib.icon.mr = /weblab-theme/images/portlet/help.png
taglib.text.mr = Marathi

# Fix WEBLAB-1202 using a proper flag for mt
taglib.icon.ms = /weblab-theme/images/portlet/help.png
taglib.text.ms = Malay

# Fix WEBLAB-1202 using a proper flag for mt
taglib.icon.mt = /weblab-theme/images/portlet/help.png
taglib.text.mt = Maltese

taglib.icon.nb = /weblab-theme/images/language/nb_NO.png
taglib.text.nb = Bokm\u00E5l

taglib.icon.nl = /weblab-theme/images/language/nl_NL.png
taglib.text.nl = Dutch

taglib.icon.pl = /weblab-theme/images/language/pl_PL.png
taglib.text.pl = Polish

# Fix WEBLAB-1202 using a proper flag for ps
taglib.icon.ps = /weblab-theme/images/portlet/help.png
taglib.text.ps = Pashto

taglib.icon.pt = /weblab-theme/images/language/pt_PT.png
taglib.text.pt = Portuguese

taglib.icon.ro = /weblab-theme/images/language/ro_RO.png
taglib.text.ro = Romanian

taglib.icon.ru = /weblab-theme/images/language/ru_RU.png
taglib.text.ru = Russian

taglib.icon.sk = /weblab-theme/images/language/sk_SK.png
taglib.text.sk = Slovak

taglib.icon.sl = /weblab-theme/images/language/sl_SI.png
taglib.text.sl = Slovene

taglib.icon.sr = /weblab-theme/images/language/sr_RS.png
taglib.text.sr = Serbian

taglib.icon.sv = /weblab-theme/images/language/sv_SE.png
taglib.text.sv = Swedish

# Fix WEBLAB-1202 using a proper flag for ta
taglib.icon.ta = /weblab-theme/images/portlet/help.png
taglib.text.ta = Tamil

# Fix WEBLAB-1202 using a proper flag for th
taglib.icon.te = /weblab-theme/images/portlet/help.png
taglib.text.te = Telugu

# Fix WEBLAB-1202 using a proper flag for th
taglib.icon.th = /weblab-theme/images/portlet/help.png
taglib.text.th = Thai

# Fix WEBLAB-1202 using a proper flag for tl
taglib.icon.tl = /weblab-theme/images/portlet/help.png
taglib.text.tl = Tagalog

taglib.icon.tr = /weblab-theme/images/language/tr_TR.png
taglib.text.tr = Turkish

taglib.icon.uk = /weblab-theme/images/language/uk_UA.png
taglib.text.uk = Ukrainian

# Fix WEBLAB-1202 using a proper flag for ur
taglib.icon.ur = /weblab-theme/images/portlet/help.png
taglib.text.ur = Urdu

taglib.icon.vi = /weblab-theme/images/language/vi_VN.png
taglib.text.vi = Vietnamese

taglib.icon.zh = /weblab-theme/images/language/zh_CN.png
taglib.text.zh = Chinese
